#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA2,0x9B,0xEF,0xF4,0x4A,0x00,0x3A,0xA5,0x66,0x1B,0xEF,0xCA,
		0xF1,0xE7,0xA3,0x18,0x7A,0x3B,0x44,0xFB,0x43,0x52,0x16,0xDB,
		0xA1,0x8D,0x1C,0x8D,0xC1,0x51,0xD6,0x2C,0xB7,0xD3,0xF7,0xBD,
		0x23,0x0F,0xC7,0xC9,0xF0,0x51,0xB6,0x28,0xB7,0x4C,0xB0,0x25,
		0x79,0x57,0x80,0xA1,0x24,0x39,0x57,0xEA,0x6F,0x93,0x65,0x46,
		0x03,0xE3,0x1F,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
